Bug 74823 - [RFE] up2date non-interactive mode
[RFE] up2date non-interactive mode
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-10-01 18:05 EDT by Mike McLean
Modified: 2015-01-07 19:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-06 18:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2002-10-01 18:05:23 EDT
* up2date-3.0.7-1

up2date should really have a non-interactive mode.

With 8.0, the first time you run up2date -u it pops up an interactive dialog,
which makes it a pain to have a machine automatically up2date itself after an
automated install.
Comment 1 Jesse Keating 2002-10-01 18:52:49 EDT
The first time you run up2date you have to register with RHN, since rhn_register
was merged with up2date.  After that I am able to run up2date without any
interaction.  up2date --nox -u works just fine.
Comment 2 Ali-Reza Anghaie 2002-10-02 10:44:40 EDT
I'm thinking that those doing automagical installs should probably be 
registered w/ RHN ahead-of-time and ~perhaps~ the Activation Keys feature of 
RHN will help: 
"This command can be easily added to the post-installation process." looks 
pretty promising. 
*shrug* I should try it one day. Cheers, -Ali
Comment 3 Mike McLean 2002-10-02 14:36:50 EDT
This system was registered (via rhnreg_ks).  Activations keys are really handy.
Comment 4 Adrian Likins 2003-01-20 23:37:11 EST
sounds like rhnreg_ks needs to set "networkSetup"=1.

added in 3.1.5 or so
Comment 5 Jay Turner 2003-02-14 10:02:21 EST
Fix confirmed with up2date-3.1.15-7.
Comment 6 Mike McLean 2003-03-25 17:25:12 EST
Not quite there yet..

I just ran 'up2date -f -i --nox --nosrc up2date >some_log_file'

At the time I ran this RHN was temporarily offline.  up2date merrily spewed an
ncurses "Fatal Error" dialog to my log file file stating that RHN capabilities
were being upgraded and that full service would be restored within 1 hour. 

The real problem was that up2date sat waiting for a user to click the ncurses
"Ok" button indefinitely.

We really need a clear line drawn between up2date's interactive and
non-interactive modes if it is going to be a useful command line tool.
Comment 7 Adrian Likins 2003-08-06 18:50:22 EDT
I think I'm deferring this. First one cases are geared to make
most users life easier. The use cases described are pretty

Note You need to log in before you can comment on or make changes to this bug.